Loading...
Searching...
No Matches
WImpurity Class Reference
Collaboration diagram for WImpurity:
[legend]

## Public Member Functions

| WImpurity (const WVectorVector &ds)
void | copy (const WImpurity &s)
WImpurity & | operator= (const WImpurity &a)
float | measure (void)
double | samples (void)
wnim_type | type (void) const
void | cumulate (const float pv, double count=1.0)
EST_Val | value (void)
EST_DiscreteProbDistribution & | pd ()
float | cluster_distance (int i)
int | in_cluster (int i)
float | cluster_ranking (int i)

## Public Attributes

EST_IList | members
EST_FList | member_counts
EST_SuffStats ** | trajectory
const WVectorVector * | data
float | score
int | l
int | width

## Friends

ostream & | operator<< (ostream &s, WImpurity &imp)

## Detailed Description

Definition at line 146 of file EST_Wagon.h.

## Constructor & Destructor Documentation

## WImpurity() [1/2]

WImpurity::WImpurity | ( |  | ) |

inline

Definition at line 165 of file EST_Wagon.h.

## ~WImpurity()

WImpurity::~WImpurity | ( |  | ) |

Definition at line 593 of file wagon_aux.cc.

## WImpurity() [2/2]

WImpurity::WImpurity | ( | const WVectorVector & | ds | ) |

Definition at line 402 of file wagon_aux.cc.

## Member Function Documentation

## copy()

void WImpurity::copy | ( | const WImpurity & | s | ) |

inline

Definition at line 168 of file EST_Wagon.h.

## operator=()

WImpurity & WImpurity::operator= | ( | const WImpurity & | a | ) |

inline

Definition at line 185 of file EST_Wagon.h.

## measure()

float WImpurity::measure | ( | void |  | ) |

Definition at line 421 of file wagon_aux.cc.

## samples()

double WImpurity::samples | ( | void |  | ) |

Definition at line 384 of file wagon_aux.cc.

## type()

wnim_type WImpurity::type | ( | void |  | ) | const

inline

Definition at line 189 of file EST_Wagon.h.

## cumulate()

void WImpurity::cumulate | ( | const float | pv,
|  | double | count = 1.0 )

Definition at line 960 of file wagon_aux.cc.

## value()

EST_Val WImpurity::value | ( | void |  | ) |

Definition at line 359 of file wagon_aux.cc.

## pd()

EST_DiscreteProbDistribution & WImpurity::pd | ( |  | ) |

inline

Definition at line 192 of file EST_Wagon.h.

## cluster_distance()

float WImpurity::cluster_distance | ( | int | i | ) |

Definition at line 893 of file wagon_aux.cc.

## in_cluster()

int WImpurity::in_cluster | ( | int | i | ) |

Definition at line 907 of file wagon_aux.cc.

## cluster_ranking()

float WImpurity::cluster_ranking | ( | int | i | ) |

Definition at line 922 of file wagon_aux.cc.

## Friends And Related Symbol Documentation

## operator<<

ostream & operator<< | ( | ostream & | s,
|  | WImpurity & | imp )

friend

Definition at line 1010 of file wagon_aux.cc.

## Member Data Documentation

## members

EST_IList WImpurity::members

Definition at line 158 of file EST_Wagon.h.

## member_counts

EST_FList WImpurity::member_counts

Definition at line 159 of file EST_Wagon.h.

## trajectory

EST_SuffStats** WImpurity::trajectory

Definition at line 160 of file EST_Wagon.h.

## data

const WVectorVector* WImpurity::data

Definition at line 161 of file EST_Wagon.h.

## score

float WImpurity::score

Definition at line 162 of file EST_Wagon.h.

## l

int WImpurity::l

Definition at line 163 of file EST_Wagon.h.

## width

int WImpurity::width

Definition at line 163 of file EST_Wagon.h.

The documentation for this class was generated from the following files:

- include/EST_Wagon.h
- stats/wagon/wagon_aux.cc